Skip to content
GET /unified/conferencing/meetings/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for a meeting

3 supported
Dyte
supported
Google
supported
Google Meet
supported
attendeesobject[]

List of attendees

emailstring

Email of the attendee

end_timestring · date-time

Time when the participant left the meeting for the last time in ISO 8601 format

idstring

The unique identifier for an attendee

is_hostboolean

Whether the attendee is the host of the meeting

namestring

Name of the attendee

start_timestring · date-time

Time when the participant first joined the meeting in ISO 8601 format

typestring

Type of the attendee. Can be either user or guest.

audio_recording_urlstring

URL of the audio recording of the meeting

created_atstring · date-time

Creation time of the meeting

1 supported
Dyte
supported
durationinteger

Duration of the meeting in seconds

end_timestring · date-time

End time of the meeting in ISO 8601 format

2 supported
Google
supported
Google Meet
supported
meeting_urlstring

URL of the meeting

remote_dataRecord<string, any>

Raw data returned from the remote API call.

start_timestring · date-time

Start time of the meeting in ISO 8601 format

2 supported
Google
supported
Google Meet
supported
statusstring

Status of the meeting

1 supported
Dyte
supported
titlestring

Title of the meeting

1 supported
Dyte
supported
topicsstring[]

List of topics discussed in the meeting

transcriptobject[]

List of transcripts of the meeting

1 supported
Dyte
supported
end_timenumber

The end time of the transcript

entriesobject[]

List of sentences in the transcript of the meeting

8 properties
end_timenumber

The end of the sentence in the number of seconds from the start of the meeting

idstring

The unique identifier for an entry

raw_textstring

The raw text of the sentence

speaker_idstring

The unique identifier for a speaker

speaker_namestring

The speaker of the sentence

speaker_typestring

The type of the speaker. Can be either user or guest.

start_timenumber

The start of the sentence in the number of seconds from the start of the meeting

textstring

The text of the sentence

idstring

The unique identifier for transcript

start_timenumber

The start time of the transcript

typestring

Type of the meeting

updated_atstring · date-time

Last updated time of the meeting

1 supported
Dyte
supported
video_recording_urlstring

URL of the video recording of the meeting

curl -X GET 'https://api.truto.one/unified/conferencing/meetings/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/conferencing/meetings/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/conferencing/meetings/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'conferencing',
  'meetings',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "conferencing",
        "meetings",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())